ifeq ($(origin topsrcdir),undefined)
topoutdir := $(patsubst %/,%,$(dir $(lastword $(MAKEFILE_LIST))))
topsrcdir := $(topoutdir)

PACKAGE = parabola-hackers
VERSION = 20180426

sysusersdir=$(prefix)/lib/sysusers.d
systemunitdir=$(prefix)/lib/systemd/system
conf_file = $(sysconfdir)/$(PACKAGE).yml
shadow_file = $(sysconfdir)/nshd/shadow
NET ?=
#NET ?= FORCE
user = nshd

# C
CFLAGS += -Wall -Wextra -Werror -pedantic
CC = gcc -std=c99
.LIBPATTERNS = lib%.so lib%.a

# Go
go_CC = gcc -std=gnu99
GOCACHE = $(topoutdir)/go/cache
CGO_ENABLED = 1

endif
